classification
Title: Fail if an invalid -X option is provided
Type: enhancement Stage: resolved
Components: Versions: Python 3.11
process
Status: open Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pablogsal
Priority: normal Keywords: patch

Created on 2021-10-12 13:39 by pablogsal, last changed 2021-10-15 21:39 by pablogsal.

Pull Requests
URL Status Linked Edit
PR 28823 merged pablogsal, 2021-10-12 13:40
PR 28972 merged pablogsal, 2021-10-15 10:03
Messages (4)
msg403733 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-10-12 13:39
We found that using -X ---- can be very confusing and annoying when you make typos, so I think having errors if you pass some unknown stuff will be outweighing any downside of making this more strict.
msg403854 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-10-13 17:08
New changeset db2b6a20cd35781b2f5e798e880e57e6cf9b97aa by Pablo Galindo Salgado in branch 'main':
bpo-45445: Fail if an invalid X-option is provided in the command line (GH-28823)
https://github.com/python/cpython/commit/db2b6a20cd35781b2f5e798e880e57e6cf9b97aa
msg404003 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-10-15 11:18
New changeset 79bc5e1dc6f87149240bded3654574b24168f1ac by Pablo Galindo Salgado in branch 'main':
bpo-45445: Remove incorrectly commited test file (GH-28972)
https://github.com/python/cpython/commit/79bc5e1dc6f87149240bded3654574b24168f1ac
msg404052 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-10-15 21:39
I'm opening this again as, this is still not finished as we want to still extend the initialization API to allow a non static string to improve the error message.

In general, the protocol is to ask if there is something else to be done before closing (and giving it some time before closing if nobody answers) :)
History
Date User Action Args
2021-10-15 21:39:44pablogsalsetstatus: closed -> open

messages: + msg404052
2021-10-15 21:13:38FFY00setstatus: open -> closed
type: enhancement
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.11
2021-10-15 11:18:26pablogsalsetmessages: + msg404003
2021-10-15 10:03:45pablogsalsetpull_requests: + pull_request27260
2021-10-13 17:08:26pablogsalsetmessages: + msg403854
2021-10-12 13:40:02pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request27194
2021-10-12 13:39:46pablogsalcreate